Subject: Re: [PATCH 2/3] parse-options: allow positivation of options starting, with no-

From: Thomas Rast <[email-masked]>
Date: Mon, 27 Feb 2012 09:30:09 +0100

Junio C Hamano <[email-masked]> writes:

> I would naïvely expect that it would be sufficient to update an existing
> definition for "--no-frotz" that uses PARSE_OPT_NONEG to instead define
> "--frotz" that by itself is a no-op, and "--no-frotz" would cause whatever
> the option currently means, with an update to the help text that says
> something to the effect that "--frotz by itself is meaningless and is
> always used as --no-frotz".

Doesn't that last quote already answer your question?  It would be
rather awkward to see, in 'git apply -h',

  --add                 Also apply additions in the patch.  This is the
                        default; use --no-add to disable it.

Compare to the current concise wording

  --no-add              ignore additions made by the patch

which lists the main (or mainly used) form in the left column, and
doesn't have to implicitly mention the 'no-' convention again to make
the help display useful.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch